Feature #1089

Change mailer lib : make features like tls available etc..

Added by jmd about 12 years ago. Updated over 8 years ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:moyo% Done:

0%

Category:Notifications / Alerts
Target version:0.72

Description

Phpmailer is old and no longer in active developpement, and don't manage modern feature like TLS etc...

It would be good to change to a better lib like :

- http://www.xpertmailer.com/ -> could send and parse email ...

- http://www.swiftmailer.org/

- Pear ?

History

#1 Updated by remi about 12 years ago

GLPI use PHPMailer 1.02.

http://phpmailer.codeworxtech.com/

The latest version 2.2.1 (PHP 5 only, but that's ok now) seems more complete

Especialy :
  • added TLS/SSL SMTP support

I don't think pear extension (Mail, Mail_mime) support SSL should have a look.

#2 Updated by moyo about 12 years ago

au choix aussi : lib de gestion réception / envoi mot de passe en une seule ou une pour l'envoi une pour la réception.

#3 Updated by remi about 12 years ago

Après quelques tests :

phpMailer 2.2.1 : ok
Swift Mailer 3.3.3 : TLS inutilisable
XPertMailer 4.0.5 : TLS inutilisable

#4 Updated by moyo about 12 years ago

  • Status changed from New to Closed

(In r7311) Change mailer lib : make features like tls available etc..
fixed #1089

#5 Updated by moyo over 8 years ago

ezcComponents do not manage TLS for fetching email... So not the solution.

Also available in: Atom PDF